Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 597712 - dev-libs/botan-1.10.12 : src/.../mmap_mem.cpp:77:65: error: throw will always call terminate() [-Werror=terminate]
Summary: dev-libs/botan-1.10.12 : src/.../mmap_mem.cpp:77:65: error: throw will always...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jack Lloyd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-6 gcc-6-stable
  Show dependency tree
 
Reported: 2016-10-21 16:49 UTC by Toralf Förster
Modified: 2017-09-30 17:19 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dev-libs:botan-1.10.12:20161021-163741.log (dev-libs:botan-1.10.12:20161021-163741.log,4.11 KB, text/plain)
2016-10-21 16:50 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,58.03 KB, text/plain)
2016-10-21 16:50 UTC, Toralf Förster
Details
environment (environment,120.61 KB, text/plain)
2016-10-21 16:50 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-10-21 16:49:59 UTC
x86_64-pc-linux-gnu-g++ -Ibuild/include -Werror=terminate -march=native -O2 -pipe  -D_REENTRANT -Wno-long-long -W -Wall -fPIC -fvisibility=hidden -c src/alloc/alloc_mmap/mmap_mem.cpp -o build/lib/alloc_alloc_mmap_mmap_mem.o
src/alloc/alloc_mmap/mmap_mem.cpp: In destructor ‘Botan::MemoryMapping_Allocator::alloc_block(size_t)::TemporaryFile::~TemporaryFile()’:
src/alloc/alloc_mmap/mmap_mem.cpp:77:65: error: throw will always call terminate() [-Werror=terminate]
                throw MemoryMapping_Failed("Could not close file");
                                                                 ^
src/alloc/alloc_mmap/mmap_mem.cpp:77:65: note: in C++11 destructors default to noexcept


$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-13.0-no-multilib-unstable_20161020-225308) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------
  USE flags ...

  ... in make.conf:
USE="  pax_kernel xtpax -cdinstall -oci8 -bindist ssp curl -custom-optimization fluidsynth -gles2 gnuplot gudev infinality jadetex javaxml -llvm -mad -modplug mono mp3 mpeg3 opus plasma postgres pulseaudio secure-delete smpeg ssl threads tracepath uxa v4l2 xcb xmlreader -xvfb zip"

  ... in /etc/portage/package.use/*:
  mail-mta/ssmtp      mta ssl
  net-misc/wget       ssl
  app-editors/xemacs  -nopie
  dev-db/sqlite           secure-delete
  dev-lang/python         sqlite
  dev-qt/qtsql            sqlite
  mail-client/thunderbird -pulseaudio system-icu
  media-libs/libvpx       postproc
  media-libs/libpng       apng
  media-sound/pulseaudio  alsa
  media-video/ffmpeg      sdl
  sys-libs/ntdb           python
  sys-libs/tdb            python
  sys-libs/tevent         python
  x11-libs/cairo          X
  x11-libs/libxcb         xkb
  www-client/firefox      -pulseaudio system-icu
  app-crypt/mit-krb5      -pkinit
  media-video/ffmpeg      -sdl
  sys-devel/llvm          clang
  sys-libs/zlib           minizip
  x11-base/xorg-server    glamor -minimal
  app-crypt/pinentry  -qt4
  app-editors/emacs   -dbus -gtk -gtk3 -ssl -svg
  app-text/xmlto      -latex
  dev-libs/boehm-gc   threads
  dev-libs/libpcre    pcre16
  dev-lang/python     threads
  dev-qt/qtgui        egl eglfs
  dev-util/cmake      -qt4 -qt5
  dev-vcs/git         -gtk -perl
  gnome-base/librsvg  -tools
  media-libs/mesa     -vaapi
  net-nds/openldap    -sasl
  sys-apps/kmod       tools
  sys-libs/ncurses    -gpm
  x11-libs/gtk+       -cups
  net-misc/iputils -caps -filecaps

  entries in /etc/portage/package.unmask/*:
  ~sys-apps/sandbox-2.11
  media-video/ffmpeg
  sys-devel/gcc:6.2.0
  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.2.0 *
llvm-config --version:
/tmp/job.sh: line 205: llvm-config: command not found

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)

  -----------------------------------------------------------------

Portage 2.3.2 (python 3.4.5-final-0, default/linux/amd64/13.0/no-multilib, gcc-6.2.0, glibc-2.23-r2, 4.7.9-hardened x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.7.9-hardened-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285608 total,  12930864 free
KiB Swap:   67108860 total,  67108860 free
Timestamp of repository gentoo: Fri, 21 Oct 2016 16:04:05 +0000
sh bash 4.4-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.4-r1::gentoo
dev-lang/perl:            5.24.0-r1::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.6.2::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.2::gentoo
sys-apps/sandbox:         2.11-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo, 2.26.1::gentoo
sys-devel/gcc:            6.2.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

local
    location: /usr/local/portage
    masters: gentoo
    priority: 2

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.0/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-Werror=terminate -march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 berkdb bzip2 cli cracklib crypt curl cxx dri fluidsynth fortran gdbm gnuplot gudev iconv infinality ipv6 jadetex javaxml mmx mmxext modules mono mp3 mpeg3 ncurses nls nptl openmp opus pam pax_kernel pcre plasma postgres pulseaudio readline seccomp secure-delete session smpeg sse sse2 ssl ssp tcpd threads tracepath unicode uxa v4l2 xattr xcb xmlreader xtpax zip zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" L10N="bg ja nds uz-Cyrl" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-10-21 16:50:06 UTC
Created attachment 450932 [details]
dev-libs:botan-1.10.12:20161021-163741.log
Comment 2 Toralf Förster gentoo-dev 2016-10-21 16:50:09 UTC
Created attachment 450934 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2016-10-21 16:50:12 UTC
Created attachment 450936 [details]
environment
Comment 4 Alon Bar-Lev gentoo-dev 2016-10-22 20:00:57 UTC
Hi,
I added botan-1.11.32, seems that this file was removed, can you please check it out again?
Thanks!
Comment 5 Toralf Förster gentoo-dev 2016-10-23 13:12:48 UTC
(In reply to Alon Bar-Lev from comment #4)
dev-libs/botan-1.11.32 emerges fine here ate few images.
Comment 6 Alon Bar-Lev gentoo-dev 2016-10-23 13:34:37 UTC
Anything more or we can close this?
Comment 7 Toralf Förster gentoo-dev 2016-10-23 13:53:54 UTC
you should unmask it ?
Comment 8 Alon Bar-Lev gentoo-dev 2016-10-23 14:49:14 UTC
this is an issue with unstable gcc
Comment 9 Peter Levine 2017-03-21 02:16:36 UTC
Upstream PR: https://github.com/randombit/botan/pull/930
Comment 10 Alon Bar-Lev gentoo-dev 2017-03-21 10:03:12 UTC
Added, thanks!
Comment 11 Andreas K. Hüttel gentoo-dev 2017-09-29 20:30:12 UTC
Reopening since all newer versions of botan are masked. 

We need some action for gcc-6 support. Please advise.
Comment 12 Jack Lloyd 2017-09-29 22:17:52 UTC
This issue is fixed in 1.10.16 which already seems to be in portage. Can you provide more information?
Comment 13 Andreas K. Hüttel gentoo-dev 2017-09-30 17:19:32 UTC
(In reply to Jack Lloyd from comment #12)
> This issue is fixed in 1.10.16 which already seems to be in portage. Can you
> provide more information?

Ah that's fine then, thank you. It just needs to finish stabilization.